# Bulk Delete Experiences POST /api/v1/experiences/bulk-delete/ Content-Type: application/json Delete multiple experiences by providing a list of experience IDs. Users can only delete their own experiences. The API works even if the list contains just one ID. **Behavior:** - **Resource Cleanup:** Before deleting Experience records, the API will attempt to clean up deployed resources - **Domains:** Uses async Celery task to clean up domain infrastructure - **Quests:** Directly deletes Quest records - **Blogs:** Directly deletes Blog records - **Error Handling:** If resource cleanup fails, the Experience deletion still proceeds, and warnings are returned - Invalid or non-existent IDs will be ignored, and the operation will continue with valid ones **Response:** - `deleted_ids` contains the experience IDs that were actually found and deleted - `cleanup_warnings` (optional) contains any errors encountered during resource cleanup Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/experiences/bulk-delete-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/experiences/bulk-delete/: post: operationId: bulk-delete-create summary: Bulk Delete Experiences description: >- Delete multiple experiences by providing a list of experience IDs. Users can only delete their own experiences. The API works even if the list contains just one ID. **Behavior:** - **Resource Cleanup:** Before deleting Experience records, the API will attempt to clean up deployed resources - **Domains:** Uses async Celery task to clean up domain infrastructure - **Quests:** Directly deletes Quest records - **Blogs:** Directly deletes Blog records - **Error Handling:** If resource cleanup fails, the Experience deletion still proceeds, and warnings are returned - Invalid or non-existent IDs will be ignored, and the operation will continue with valid ones **Response:** - `deleted_ids` contains the experience IDs that were actually found and deleted - `cleanup_warnings` (optional) contains any errors encountered during resource cleanup tags: - subpackage_experiences responses: '200': description: Bulk delete operation completed content: application/json: schema: $ref: '#/components/schemas/BulkDeleteResponse' '400': description: Bad request - invalid data content: application/json: schema: description: Any type '401': description: Unauthorized content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/BulkDeleteRequest' components: schemas: BulkDeleteRequest: type: object properties: ids: type: array items: type: integer description: List of experience IDs to delete required: - ids description: Serializer for bulk delete request. title: BulkDeleteRequest BulkDeleteResponse: type: object properties: deleted_count: type: integer deleted_ids: type: array items: type: integer not_found_ids: type: array items: type: integer message: type: string cleanup_warnings: type: array items: type: string description: List of warnings if any deployed resource cleanup failed required: - deleted_count - deleted_ids - not_found_ids - message description: Serializer for bulk delete response. title: BulkDeleteResponse ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/experiences/bulk-delete/" payload = { "ids": [1024, 2048, 4096] } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/experiences/bulk-delete/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"ids":[1024,2048,4096]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/experiences/bulk-delete/" payload := strings.NewReader("{\n \"ids\": [\n 1024,\n 2048,\n 4096\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/experiences/bulk-delete/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"ids\": [\n 1024,\n 2048,\n 4096\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/experiences/bulk-delete/") .header("Content-Type", "application/json") .body("{\n \"ids\": [\n 1024,\n 2048,\n 4096\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/experiences/bulk-delete/', [ 'body' => '{ "ids": [ 1024, 2048, 4096 ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/experiences/bulk-delete/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"ids\": [\n 1024,\n 2048,\n 4096\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["ids": [1024, 2048, 4096]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/experiences/bulk-delete/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```